Package Scientific :: Package DistributedComputing :: Module MasterSlave :: Class GlobalStateValue

[frames] | no frames]

# Class GlobalStateValue

    object --+
             |
            GlobalStateValue

Instance Methods

__init__(self, state_id, name) x.__init__(...) initializes x; see x.__class__.__doc__ for signature |

Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__str__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, state_id, name)
(Constructor)

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: object.__init__
  (inherited documentation)